=== debian/control ===
Source: ros-melodic-dingo-description
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-robot-state-publisher, ros-melodic-urdf, ros-melodic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-dingo-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-lms1xx, ros-melodic-realsense2-description, ros-melodic-robot-state-publisher, ros-melodic-urdf, ros-melodic-xacro
Description: The dingo_description package
