## ros-melodic-dingo-description 0.1.12

=== debian/changelog ===
ros-melodic-dingo-description (0.1.12-2bionic) bionic; urgency=high

  * Updated Realsense comments and include parameter
  * Fixed typo in material name
  * Added secondary realsense
  * Added README with all URDF environment variables
  * Force upper case for environment variables (#21 <https://github.com/dingo-cpr/dingo/issues/21>)
    * Added PACS
    * Changed enable envvar name
    * Added EOL
    * All caps for envvars
  * Added PACS (#20 <https://github.com/dingo-cpr/dingo/issues/20>)
    * Added PACS
    * Changed enable envvar name
    * Added EOL
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-melodic-dingo-description (0.1.11-2bionic) bionic; urgency=high

  * Added Velodyne HDL32E and Microstrain GX5
  * Updated URDF to disable mount
  * Update VLP16 with disable tower and set angle on mount
  * Add Velodyne HDL32e URDF and meshes
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-melodic-dingo-description (0.1.10-2bionic) bionic; urgency=high

  * Add missing "xacro:" infront of "include"
  * Contributors: Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 16 Jan 2022 05:00:00 -0000

ros-melodic-dingo-description (0.1.9-2bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-melodic-dingo-description (0.1.8-2bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 11 May 2021 04:00:00 -0000

ros-melodic-dingo-description (0.1.7-2bionic) bionic; urgency=high

  * Add env var support for VLP-16 (#10 <https://github.com/dingo-cpr/dingo/issues/10>)
    * Add support for the VLP16 as a standard laser sensor on this platform
    * Add vlp16 to the comment block explaining supported laser scanners
    * Add the 3D and secondary 2D lidars
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-melodic-dingo-description (0.1.6-2bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 26 Nov 2020 05:00:00 -0000

ros-melodic-dingo-description (0.1.5-2bionic) bionic; urgency=high

  * Fix the mount links for Dingo-D and Dingo-O; -D doesn't technically have a mid_mount (#9 <https://github.com/dingo-cpr/dingo/issues/9>)
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Oct 2020 04:00:00 -0000

ros-melodic-dingo-description (0.1.4-2bionic) bionic; urgency=high

  * [dingo_description] Switched description.launch to use single Dingo URDF which then determines which file should be loaded.
  * Add a generic dingo.urdf.xacro (#8 <https://github.com/dingo-cpr/dingo/issues/8>)
    * Add a generic dingo.urdf.xacro which will include dingo-d or dingo-o as-needed. This simplifies adding support for manipulators to the robot
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Oct 2020 04:00:00 -0000

ros-melodic-dingo-description (0.1.3-2bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-melodic-dingo-description (0.1.2-2bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Sep 2020 04:00:00 -0000

ros-melodic-dingo-description (0.1.1-2bionic) bionic; urgency=high

  * Disable gravity on the L515 links; they were causing the odom frame to drift in gazebo
  * Nav improvements (#5 <https://github.com/dingo-cpr/dingo/issues/5>)
    * Expose the scan_topic argument in the gmapping_demo and amcl_demo launch files
    * Add placeholder support for the RS L515 and D455 so that the gazebo plugins work; the meshes for these sensors don't exist yet, but we can at least get the plugin configured & add the appropriate links for now
    * Refactor the RealSense macro to put the mesh + gazebo plugin in one place. Create a more-accurate L515 mesh out of cylinders until Intel releases an official mesh for the sensor
  * Fix missing quotes around the lidar models
  * Model Update (#3 <https://github.com/dingo-cpr/dingo/issues/3>)
    * Make the yellow of the chassis more yellow and less orange
    * Fix the spawn position of the Hokuyo lidar & its focal point. Add the STLs for the LMS-1xx & Hokuyo lidars.  Add lms1xx as a dependency so that the lidar macro is available.
    * Add additional mounting points for accessories, fix the position of the existing front_mount
    * Start adding support for the Intel RealSense cameras as out-of-the-box accessories
    * Update the dependencies
    * Remove the hector gazebo plugin dependency; it's included in dingo_gazebo, and isn't strictly needed in the description package
    * Refactor the lidar accessory variables, add clarifying comments to make it easier to find supported values for the sensor models
    * Fix the measurements.  Keep the front/rear mounts 5cm back from the bumpers, move the bumper mounts to the center of the bumper
    * Remove the rear_bumper_mount since that's where the HMI is, which would prevent anything from being reasonably mounted there
  * [dingo_description] Switched to find over dirname since it was causing errors in tests.
  * Fix the spawn position of the Hokuyo lidar & its focal point. Add the STLs for the LMS-1xx & Hokuyo lidars.  Add lms1xx as a dependency so that the lidar macro is available.
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 14 Sep 2020 04:00:00 -0000

ros-melodic-dingo-description (0.1.0-2bionic) bionic; urgency=high

  * Unified Dingo folders/files as much as possible, updated meshes, bumped CMake version and made roslaunch a test depend.

