=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-melodic-dingo-description
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-lms1xx, ros-melodic-realsense2-description, ros-melodic-robot-state-publisher, ros-melodic-urdf, ros-melodic-xacro
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-lms1xx, ros-melodic-realsense2-description, ros-melodic-robot-state-publisher, ros-melodic-urdf, ros-melodic-velodyne-description, ros-melodic-xacro
 Description: The dingo_description package
